video
Scout API 1.0.0 — see schemas for shared types.
POST /api/video/extend
extend_video
Request body
Content-Type: application/json
Schema: VideoGenerationBody
Responses
- 201 — Created
application/json→ VideoJobResponse- 422 — Unprocessable Content
application/json→ ValidationError
POST /api/video/generate
generate_video
Request body
Content-Type: application/json
Schema: VideoGenerationBody
Responses
- 201 — Created
application/json→ VideoJobResponse- 422 — Unprocessable Content
application/json→ ValidationError
POST /api/video/jobs/{job_id}/download
download_job_result
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
job_id |
path | string (path) | yes |
Request body
Content-Type: application/json
Schema: VideoGenerationBody
Responses
- 200 — OK
application/json→ VideoJobDownloadResponse- 422 — Unprocessable Content
application/json→ ValidationError
GET /api/video/jobs/{job_id}/status
get_job_status
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
job_id |
path | string (path) | yes | |
model |
query | string | null | no |
Responses
- 200 — OK
application/json→ VideoJobStatusResponse- 422 — Unprocessable Content
application/json→ ValidationError
GET /api/video/models
get_models
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
tags |
query | array\<string> | no |
Responses
- 200 — OK
application/json→ VideoGenerationModelResponseList- 422 — Unprocessable Content
application/json→ ValidationError
POST /api/video/remix
remix_video
Request body
Content-Type: application/json
Schema: VideoGenerationBody
Responses
- 201 — Created
application/json→ VideoJobResponse- 422 — Unprocessable Content
application/json→ ValidationError